aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/gcc/gcc-3.3.3/arm-10730.dpatch
diff options
context:
space:
mode:
authorDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
committerDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
commit709c4d66e0b107ca606941b988bad717c0b45d9b (patch)
tree37ee08b1eb308f3b2b6426d5793545c38396b838 /recipes/gcc/gcc-3.3.3/arm-10730.dpatch
parentfa6cd5a3b993f16c27de4ff82b42684516d433ba (diff)
downloadopenembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.gz
openembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.bz2
openembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.zip
rename packages/ to recipes/ per earlier agreement
See links below for more details: http://thread.gmane.org/gmane.comp.handhelds.openembedded/21326 http://thread.gmane.org/gmane.comp.handhelds.openembedded/21816 Signed-off-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Mike Westerhof <mwester@dls.net> Acked-by: Philip Balister <philip@balister.org> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Marcin Juszkiewicz <hrw@openembedded.org> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Diffstat (limited to 'recipes/gcc/gcc-3.3.3/arm-10730.dpatch')
-rw-r--r--recipes/gcc/gcc-3.3.3/arm-10730.dpatch51
1 files changed, 51 insertions, 0 deletions
diff --git a/recipes/gcc/gcc-3.3.3/arm-10730.dpatch b/recipes/gcc/gcc-3.3.3/arm-10730.dpatch
new file mode 100644
index 0000000000..5938509cf9
--- /dev/null
+++ b/recipes/gcc/gcc-3.3.3/arm-10730.dpatch
@@ -0,0 +1,51 @@
+#! /bin/sh -e
+
+dir=
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+ pdir="-d $3"
+ dir="$3/"
+elif [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch)
+ patch $pdir -f --no-backup-if-mismatch -p0 < $0
+ #cd ${dir}gcc && autoconf
+ ;;
+ -unpatch)
+ patch $pdir -f --no-backup-if-mismatch -R -p0 < $0
+ #rm ${dir}gcc/configure
+ ;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+esac
+exit 0
+
+# DP: 2003-05-15 Philip Blundell <philb@gnu.org>
+# DP:
+# DP: PR target/10730
+# DP: * config/arm/arm.c (adjacent_mem_locations): Reject offsets
+# DP: involving invalid constants.
+
+Index: arm.c
+===================================================================
+RCS file: /cvs/gcc/gcc/gcc/config/arm/arm.c,v
+retrieving revision 1.271
+diff -u -p -r1.271 arm.c
+--- gcc/config/arm/arm.c 10 May 2003 13:10:46 -0000 1.271
++++ gcc/config/arm/arm.c 14 May 2003 21:26:26 -0000
+@@ -4567,6 +4571,12 @@ adjacent_mem_locations (a, b)
+ else
+ reg1 = REGNO (XEXP (b, 0));
+
++ /* Don't accept any offset that will require multiple instructions to handle,
++ since this would cause the arith_adjacentmem pattern to output an overlong
++ sequence. */
++ if (!const_ok_for_op (PLUS, val0) || !const_ok_for_op (PLUS, val1))
++ return 0;
++
+ return (reg0 == reg1) && ((val1 - val0) == 4 || (val0 - val1) == 4);
+ }
+ return 0;